Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.session
Class EBusinessSessionWorkflow

    java.lang.Object
      |
      +--theory.smart.axiom.workflow.StateMachine
            |
            +--theory.smart.ebusiness.session.EBusinessSessionWorkflow

public class EBusinessSessionWorkflow
extends StateMachine
implements Workflow

A set of states and events that govern the life cycle of a business session.

    ------------------------------------------------------
    These are the states provided by this StateMachine:
    ------------------------------------------------------

    [Start]   Initial State

    [authenticated]

The customer has provided a valid username and password. Restricted operations are allowed.

    [authenticating]

The username and password provided by the customer is being verified.

    [enrolling]

The customer is in the process of providing registration information.

    [guest]

This state allows the user to browse without having a registered customer identity.

    [registered]

The user of the session is associated with a registered customer.

    ------------------------------------------------------
    These are the transitions provided by this StateMachine:
    ------------------------------------------------------

         acceptAuthentication
     [authenticating]------------->[authenticated]

Accept the user name and password provided.

         assignCustomer
     [enrolling]------------->[registered]

Associate the session with a customer.

         assignCustomer
     [guest]------------->[registered]

Associate the session with a customer.

         authenticate
     [authenticated]------------->[authenticating]

         authenticate
     [guest]------------->[authenticating]

Validate the the user name and password provided are correct.

         authenticate
     [registered]------------->[authenticating]

Validate the the user name and password provided are correct.

         becomeGuest
     [Start]------------->[guest]

Begin browsing without a customer identity.

         becomeGuest
     [registered]------------->[guest]

Begin browsing without an identity.

         cancelEnrollment
     [enrolling]------------->[guest]

Terminate the process of creating a customer and return to browsing as a guest.

         denyGuest
     [authenticating]------------->[guest]

Return the customer to the guest state because the password provided was incorrect. The customer identifier is still invalid.

         denyRegistered
     [authenticating]------------->[registered]

Return the customer to the registered state because the password provided was incorrect. The customer identifier is still valid.

         disableAuthentication
     [authenticated]------------->[registered]

Restrict operations until the user is once again authenticated.

         enroll
     [guest]------------->[enrolling]

Begin the process of creating a new customer identity.

         enroll
     [registered]------------->[enrolling]

Begin the process of creating a new customer identity.

See Also:
  `Workflow`, Serialized Form

Fields inherited from class theory.smart.axiom.workflow.StateMachine
`currentState, initialState, states, TRANSITION_KEY_TOKEN, transitions`

Constructor Summary
`EBusinessSessionWorkflow()` Use WorkflowHome.create("theory.smart.ebusiness.session.EBusinessSessionWorkflow") to instantiate the workflow.

Methods inherited from class theory.smart.axiom.workflow.StateMachine
`addTransition, doTransition, getContext, getCurrentStateName, getInitialStateName, getStateNames, getTransitionNames, lookAheadTransition, reset, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EBusinessSessionWorkflow

    public EBusinessSessionWorkflow()

  Use WorkflowHome.create("theory.smart.ebusiness.session.EBusinessSessionWorkflow") to instantiate the workflow.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.